For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PricingJoin CommunityGet API Key
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
        • POSTCreate
        • POSTCreate With Project Id
        • GETGet Status
  • Additional Resources
    • Try on Postman
LogoLogo
PricingJoin CommunityGet API Key
API ReferenceDubbingJobs

Get Status

GET
https://api.murf.ai/v1/murfdub/jobs/:job_id/status
GET
/v1/murfdub/jobs/:job_id/status
1from murf import MurfDub
2
3client = MurfDub(
4 api_key="YOUR_API_KEY",
5)
6
7client.dubbing.jobs.get_status(
8 job_id="YOUR_JOB_ID",
9)
1{
2 "job_id": "job_id",
3 "status": "status",
4 "project_id": "project_id",
5 "download_details": [
6 {
7 "locale": "locale",
8 "status": "status",
9 "error_message": "error_message",
10 "download_url": "download_url",
11 "download_srt_url": "download_srt_url"
12 }
13 ],
14 "credits_used": 1000000,
15 "credits_remaining": 1000000,
16 "failure_reason": "failure_reason",
17 "failure_code": "failure_code"
18}
Was this page helpful?
Previous

Create

Next
Built with

Path parameters

job_idstringRequired

Headers

api-keystringRequired
Your Dub API key

Response

Ok
job_idstring
Your Job Id
statusstring
Your Job Status
project_idstring
Your Project Id
download_detailslist of objects
credits_usedlong
credits_remaininglong
failure_reasonstring
failure_codestring

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error